"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const double_ended_queue_1 = __importDefault(require("double-ended-queue"));
class QueueBuffer {
    constructor(maxSize) {
        this.push = (str) => {
            for (let i = 0; i < str.length; i += 1) {
                this.addChar(str.charAt(i));
            }
        };
        this.getString = () => {
            return this.deque.toArray().join('');
        };
        this.getSize = () => {
            return this.deque.length;
        };
        this.getMaxSize = () => {
            return this.maxSize;
        };
        this.maxSize = maxSize;
        this.deque = new double_ended_queue_1.default();
    }
    addChar(char) {
        if (this.deque.length === this.maxSize)
            this.deque.shift();
        this.deque.push(char);
    }
}
exports.QueueBuffer = QueueBuffer;
//# sourceMappingURL=index.js.map